## bibletime 1.1-4

=== debian/changelog ===
bibletime (1.1-4) unstable; urgency=high

  * build depend on sword 1.5.3-3

 -- Daniel Glassey <wdg@debian.org>  Thu, 18 Apr 2002 09:35:13 +0100

bibletime (1.1-3) unstable; urgency=low

  * fixes to compile with gcc3, Closes: #143212
  * fixes to get rid of some compiler warnings too
  
 -- Daniel Glassey <wdg@debian.org>  Wed, 17 Apr 2002 23:48:16 +0100

bibletime (1.1-2) unstable; urgency=high

  * integrate docs into this package since there isn't time to
     get a new package in
  * fonts seem ok in optionsdialog now, Closes: #139703
  * verses wrap ok now, tested WEB 1Tim5:18, Closes: #140108

 -- Daniel Glassey <wdg@debian.org>  Mon, 15 Apr 2002 09:20:13 +0100

bibletime (1.1-1) unstable; urgency=low

  * New upstream release

 -- Daniel Glassey <wdg@debian.org>  Mon,  8 Apr 2002 20:36:07 +0100

bibletime (1.0.99b-2) unstable; urgency=low

  * Depend on bibletime-doc, required documentation

 -- Daniel Glassey <wdg@debian.org>  Sat,  6 Apr 2002 18:45:50 +0100

bibletime (1.0.99b-1) unstable; urgency=low

  * New upstream beta release

 -- Daniel Glassey <wdg@debian.org>  Tue,  2 Apr 2002 21:33:55 +0100

bibletime (1.0.3-1) unstable; urgency=low

  * New upstream release
  * build against autotooled sword
  * correct spelling error, Closes: #124449
  * not uploading til sword 1.5.2-8 is in
  * bulid depend on sword >=1.5.2-9

 -- Daniel Glassey <wdg@debian.org>  Fri,  1 Feb 2002 23:01:55 +0000

bibletime (1.0.2-2) unstable; urgency=low

  * Remove debian/controly which shouldn't be there 
  * stop configure from being run twice to fix alpha build, Closes: #121674
  * build-depend on kdelibs-dev >= 2.2.2-8 to catch libfam-dev dependency, see bug 124264
  * Update description for bibletime 1.0.2
  * Update to policy version 3.5.6.0, no necessary changes noticed yet
  * modify clean target in debian/rules to use clean instead of distclean
      and remove */Makefile and */*.moc.cpp 

 -- Daniel Glassey <wdg@debian.org>  Sat, 15 Dec 2001 21:40:18 +0000

bibletime (1.0.2-1) unstable; urgency=low

  * New upstream release - see www.bibletime.de for changes
  * Using latest config.sub and config.guess, Closes #105779
  * may compile on ia64 now (cswordbackendmanager.* does not exist now), Closes #110187
  * Change maintainer to wdg@debian.org
  * Depend on sword >= 1.5.2-4 (new libsword1 shlibs)
  * use AM_MAINTAINER_MODE in configure.in - try to stop automake etc
      from running while building
      so don't build depend on automake, autoconf
  * fixes for alpha compilation in debian/rules, Closes: #121674
  * .xvpics has been removed from source, Closes: #112706
  * in debian/rules use dh_compress -X to stop tipsdatabase from being installed compressed, Closes #110847

 -- Daniel Glassey <wdg@debian.org>  Fri, 30 Nov 2001 19:41:44 +0000

bibletime (1.0.1-1) unstable; urgency=low

  * New upstream release - see www.bibletime.de for changes
  * patched bibletime/pics/Makefile.am to allow install to $DESTDIR
  * removed AUTHORS from debian/docs

 -- Daniel Glassey <wdg@debian.org>  Sat, 25 Aug 2001 13:47:36 +0000

bibletime (1.0-1) unstable; urgency=low

  * New upstream release - see www.bibletime.de for changes

 -- Daniel Glassey <wdg@debian.org>  Mon, 25 Jun 2001 22:22:30 +0000

bibletime (0.31-3.1) unstable; urgency=low

  * Non-maintainer upload (Ben Burton <benb@acm.org>).
  * Rebuilt with new Qt libs (closes: #89789).
  * Build-Depends: Replaced kdebase-dev with kdelibs-dev; removed
    autoconf (redundant); added libtool.
  * Replaced admin/debianrules with a newer version and modified
    debian/rules to use admin/debianrules; this way everything gets
    installed into the correct directory; this also required modifying
    $(localedir) in po/Makefile.am.
  * Added debian menu item, lintian overrides file and doc-base registration.
  * In debian/rules, using configure-stamp instead of configure.stamp
    (this stops ./configure being run again and again and again).
  * In debian/rules, deletes Makefile.ins on "make clean" and recreates
    them during "make configure"; this removes some unnecessary junk
    from the debian diff.gz file.

 -- Ben Burton <benb@acm.org>  Thu, 17 May 2001 13:02:11 -0500

bibletime (0.31-3) unstable; urgency=low

  * Standards version now 3.2.1
  * Added build-depends

 -- Daniel Glassey <danglassey@yahoo.com>  Mon, 22 Jan 2001 22:19:43 +0000

bibletime (0.31-2) unstable; urgency=low

  * Add dependencies on modules.

 -- Daniel Glassey <danglassey@yahoo.com>  Mon,  4 Dec 2000 22:34:34 +0000

bibletime (0.31-1) unstable; urgency=low

  * Initial Release.

 -- Daniel Glassey <danglassey@yahoo.com>  Thu, 23 Nov 2000 20:57:31 +0000

Local variables:
mode: debian-changelog
End:
