=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
#export DH_COMPAT=1

ARCH = $(shell dpkg-architecture -qDEB_BUILD_ARCH)
ifeq ($(ARCH),alpha)
	COMPILER_FLAGS=CFLAGS="-O0 -mieee" CXXFLAGS="-O0 -mieee"
endif

-include debian/debiandirs

debian/debiandirs: admin/debianrules
	perl -w admin/debianrules echodirs > debian/debiandirs

configure: configure-stamp
configure-stamp:
	dh_testdir
	#automake
	#perl am_edit
	$(COMPILER_FLAGS) ./configure $(configkde) --disable-maintainer-mode
	cd bibletime-doc && ./configure $(configkde) --disable-maintainer-mode
	touch configure-stamp

build: configure build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(COMPILER_FLAGS) $(MAKE)
	cd bibletime-doc && $(MAKE)

	touch build-stamp

clean: 
	dh_testdir
	dh_testroot
	#perl am_edit
	rm -f build-stamp configure-stamp
	-rm -f debian/debiandirs

	# Add here commands to clean up after the build process.
	#-$(MAKE) distclean
	-$(MAKE) clean
	-cd bibletime-doc && $(MAKE) clean

	#-rm -f `find . -name Makefile.in`
	-rm -f `find . -name Makefile`
	-rm -f `find . -name *.moc.cpp`
	-rm -f `find . -name *_meta_unload.cpp`
	-rm subdirs configure.files config.cache config.log config.status
	-cd bibletime-doc && rm subdirs configure.files config.cache config.log config.status

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	#$(MAKE) install DESTDIR=`pwd`/debian/tmp kde_htmldir=`pwd`/debian/tmp/usr/share/doc/kde/HTML
	$(MAKE) install DESTDIR=`pwd`/debian/tmp
	cd bibletime-doc && $(MAKE) install DESTDIR=`pwd`/../debian/tmp

	# Install the pixmap for the debian menu item.
	install -p -d -o root -g root -m 755 \
		`pwd`/debian/tmp/usr/share/pixmaps
	install -p -o root -g root -m 644 debian/bibletime.xpm \
		`pwd`/debian/tmp/usr/share/pixmaps

	# Install the lintian overrides file.
	install -p -d -o root -g root -m 755 \
		`pwd`/debian/tmp/usr/share/lintian/overrides
	install -p -o root -g root -m 644 debian/override \
		`pwd`/debian/tmp/usr/share/lintian/overrides/bibletime

	#temporary fix to stop things from being executable that shouldn't be?
	chmod 644 debian/tmp/usr/share/apps/bibletime/pics/*
	chmod 644 debian/tmp/usr/share/apps/bibletime/printing/*
	chmod 644 debian/tmp/usr/share/apps/bibletime/bibletimeui.rc

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
	dh_installcron
#	dh_installmanpages
#	dh_installinfo
	dh_undocumented
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress -Xtipdatabase
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
