=== debian/changelog ===
bibletime (2.8.1-2build1) precise; urgency=low

  * Rebuild with libsword9 due to ABI breakage (LP: #935574)
    - Temporarily bump libsword-dev build-dep version to prevent archive skew

 -- Scott Kitterman <scott@kitterman.com>  Wed, 11 Apr 2012 11:54:23 -0400

bibletime (2.8.1-2) unstable; urgency=low

  * debian/patches/02-prevent-unused-but-set-variable-ftbfs.patch:
    - Prevent FTBFS using recent gcc 4.6 by using an existing upstream fix.
  * debian/control:
    - Add Depends: libqt4-svg so toolbar icons display. (Closes: #612661).

 -- Jonathan Marsden <jmarsden@fastmail.fm>  Sun, 10 Jul 2011 18:06:23 -0700

bibletime (2.8.1-1) unstable; urgency=low

  [ Jonathan Marsden ]
  * New upstream version 2.8.1 (Closes: #629607).
  * debian/control:
    - Remove article from start of Description: synopsis line.
    - Replace Build-Depends: libqt4-dev with libqtwebkit-dev | libqt4-dev.
  * Bump Standards-Version to 3.9.2 (no changes needed)
  * debian/control: Fix version comparison > to >= for libsword
  * debian/watch: Look for .bz2 as well as .gz compressed tarballs.
  * debian/patches/01-fix-search-works-print-crash.patch:
    - An upstream git commit to fix a crash when printing.
    - Also fixes a gcc-4.6 FTBFS.

  [ Dmitrijs Ledkovs ]
  * Daily-build / build from recipes:
    - Generate debian/source/format on the fly
    - Add .bzr-builddeb/default.conf to run above
    - Add debian/source/local-options to keep bzr tree clean
  * Convert to dh7
    - This unifies packaging with sword and xiphos
    - This allows building from recipes since cdbs simple-patchsys was
    interfering
    - Move dh_install[man] options from debian/rules to package files.

 -- Jonathan Marsden <jmarsden@fastmail.fm>  Sun, 19 Jun 2011 22:40:22 -0700

bibletime (2.5-1) unstable; urgency=low

  * New upstream version 2.5 (Closes: #564551).

 -- Jonathan Marsden <jmarsden@fastmail.fm>  Sun, 10 Jan 2010 22:21:36 -0800

bibletime (2.4-1) unstable; urgency=low

  * New upstream version 2.4
  * debian/control: 
    - Replace incorrect bibletime-data Depends on lib4qt-gui
      with bibletime Depends on libqtgui4 (>= 4.4.0). (Closes: #556209).
    - Add Build-depends: on zlib1g-dev and libcurl4-gnutls-dev 
      (Closes: #556805).
  
 -- Jonathan Marsden <jmarsden@fastmail.fm>  Wed, 18 Nov 2009 17:30:00 -0800

bibletime (2.3.3-1) unstable; urgency=low

  * New upstream version 2.3.3
  * debian/control: 
    - Change Description: to avoid mentioning KDE (Closes: #539166).
    - Add libqt4-gui to Depends: to avoid toolbar icon display issues.

 -- Jonathan Marsden <jmarsden@fastmail.fm>  Sun, 01 Nov 2009 15:49:17 -0800

bibletime (2.3-1) unstable; urgency=low

  * New upstream version 2.3
  * Bump Standards-Version to 3.8.3 (no changes needed).

 -- Jonathan Marsden <jmarsden@fastmail.fm>  Thu, 08 Oct 2009 22:55:24 -0700

bibletime (2.2-1) unstable; urgency=low

  * New upstream version 2.2

 -- Jonathan Marsden <jmarsden@fastmail.fm>  Wed, 26 Aug 2009 21:58:15 -0700

bibletime (2.1-1~karmic1) karmic; urgency=low

  * New upstream version 2.1.

 -- Jonathan Marsden <jmarsden@fastmail.fm>  Sun, 12 Jul 2009 18:21:11 -0700

bibletime (2.0.1-1) unstable; urgency=low

  * New upstream version.
  * debian/patches/: 
    - 01_main_window_icon.diff removed (now in upstream sources).
    - 02_remove_unwanted_debug_code.diff removed (now in upstream sources).
  * debian/control: Correctly update systems with old bibletime-i18n:
    - Remove Suggests: bibletime-i18n from bibletime package.
    - Add Conflicts: and Replaces: bibletime-i18n to bibletime-data package.
    - Bump Standards-Version to 3.8.2 (no changes needed).
  * debian/watch: Change regex to ignore alpha/beta/rc source tarballs.

 -- Jonathan Marsden <jmarsden@fastmail.fm>  Sun, 07 Jun 2009 16:24:33 -0700

bibletime (2.0-1) unstable; urgency=low

  * New upstream version.
  * debian/rules:
    - Ensure installation of manpages and .xpm work once again.
  * Remove debian/dirs, debian/install and other files from debian/
  * Remove debian/patches/00-fix-desktop.patch -- upstream fixed this.
  * Add debian/patches/01_main_window_icon.diff
    - upstream svn r1317.
  * Add debian/patches/02_remove_unwanted_debug_code.diff
    - upstream svn r1318.
  * Add debian/watch file.
  * debian/rules: use cdbs cmake.mk not kde4.mk
  * debian/control: Remove Build-depend on pkg-kde-tools.
    - Replace kdelibs5-dev build dependency with libqt4-dev.
    - Add build dependency on cmake and pkg-config.
    - Set Maintainer and Uploaders fields.
    - Qualify libsword-dev Build-Depends with (>= 1.5.11).
    - Bump Standards-Version to 3.8.1 (no changes needed).
  * Separate out /usr/share/bibletime into its own package:
    - debian/bibletime-data.install: create file.
    - debian/bibletime.install: create file.
    - debian/compat: Increase to 7 so dh_install looks in debian/tmp.
    - debian/control: 
      + Add info about new binary package bibletime-data.
      + Build-Depend: on debhelper >= 7 and wrap Build-Depends line.
  * debian/copyright:
    - Update copyright year range.
    - Update download location.

 -- Jonathan Marsden <jmarsden@fastmail.fm>  Tue, 02 Jun 2009 23:37:30 -0700

bibletime (1.6.5.1-1) unstable; urgency=low

  * New upstream version (Closes: #441161, #271502)
  * fixes for new autotools and gcc 4.3 (Closes: #407291)
  * added poxml to Build-Depends
  * No DFSG necessary anymore since biblestudy howto has 
    now Commons Licence 
  * Added libclucene-dev to dev-depends (Closes: #436677)

 -- Ralph Janke <txwikinger@ubuntu.com>  Sat, 10 May 2008 15:18:16 +0100

bibletime (1.6.4.dfsg-1) unstable; urgency=low

  * New upstream version

 -- Daniel Glassey <wdg@debian.org>  Fri, 22 Jun 2007 18:47:48 +0100

bibletime (1.6.2.dfsg-1) unstable; urgency=low

  * New upstream release using sword 1.5.9, Closes: #401068
  * upstream now allows build without howto (which has been declared
      non-DFSG free), Closes: #331547

