=== debian/control ===
Source: bibletime
Section: kde
Build-Depends: quilt (>= 0.46-7~), debhelper (>= 7.0.50~),
 libsword-dev (>= 1.6.2+dfsg-3), libclucene-dev, poxml, libboost-dev, cmake,
 pkg-config, zlib1g-dev, libcurl4-gnutls-dev, libqtwebkit-dev | libqt4-dev
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: CrossWire Packages <pkg-crosswire-devel@lists.alioth.debian.org>
Uploaders: Daniel Glassey <wdg@debian.org>, 
 Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>, 
 Jonathan Marsden <jmarsden@fastmail.fm>
Standards-Version: 3.9.2
Homepage: http://www.bibletime.info/

Package: bibletime
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libqtgui4 (>= 4.4.0),
 libqt4-svg (>=4.4.0),
 bibletime-data
Provides: sword-frontend
Description: bible study tool for Qt
 BibleTime is a free and easy to use bible study tool.
 It uses the Qt and SWORD software libraries.
 BibleTime provides easy handling of digitized texts (Bibles, commentaries
 and lexicons) and powerful features to work with these texts (search in
 texts, write own notes, save, print etc.) in the SWORD module format.

Package: bibletime-data
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: bibletime
Conflicts: bibletime-i18n
Replaces: bibletime-i18n
Description: Documentation and data for bibletime, a bible study tool
 BibleTime is a free and easy to use bible study tool.
 .
 This package contains the help, online documentation and data files
 which BibleTime uses.
